Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456585 - Smart GUI crashes on high load of work
Summary: Smart GUI crashes on high load of work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: smart
Version: 9
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Axel Thimm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-24 19:56 UTC by Andrea Santilli
Modified: 2015-07-20 17:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:48:10 UTC


Attachments (Terms of Use)

Description Andrea Santilli 2008-07-24 19:56:05 UTC
Description of problem:
Smart in GUI mode crashes for no reason when a high number of packages are set
to be installed.
It downloads and tests the packages correctly but when it goes to install them
it crashes.
The problem is not present in the command line mode hence I guess this is a GTK
related problem.

I set the bug report severity to urgent because there aren't any other valid
alternatives to GUI installers in F9 since:
- PackageKit does not allow you to handle subpackages nor lets you install more
than a package at once
- Yumex and Kyum install subpackages on no apparent criteria and won't let you
manage them; also many packages aren't visible at all; moreover they won't show
newly available packages as they have the same serious limitations of yum
- Synaptic is currently screwed as it gives md5sum errors while apt-rpm works
fine (#449168 incredibly still marked as new)


Version-Release number of selected component (if applicable):
0.52-54.fc9

How reproducible:
Often

Additional info:

Comment 1 Axel Thimm 2009-04-15 07:24:52 UTC
There have been several smart releases in Fedora since the original report, some of them addressing performance optimizations among other things. Could you please test against the latest available smart package and see whether this is still an issue?

Or if you had been using smart all this time and didn't stumble again over the same kind of error, then this bugs can be considered fixed. Thanks!

Comment 2 Bug Zapper 2009-06-10 02:13:44 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 17:48:10 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.